#pragma once
#include "PostprocInterface.h"



class DepthOfFieldPostproc : public PostprocInterface
{
public:
	DepthOfFieldPostproc(PostprocContext* context);

	virtual const char* GetPostProcName(void)
	{
		return "DepthOfField";
	}

	virtual void BeginRender(void);
	virtual void EndRender(void);

	virtual size_t NumPath(void);
	virtual double GetImageSizeRatio(size_t path);

private:
	lib_gl::GlslProgram m_Shader;
};
